#include <iostream>
#include <string>
#define MAXN 200005

using namespace std;

int main()
{
	string a,b;
	int rez;
	int pom_a=-1;
	int counter_a=0,counter_b=0;
	int pom=0;
	cin>>a>>b;
	if(b=="a")
	{
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='a') 
			{
				a[i]='*';
				rez++;
			}
		}
	}
	else if(b=="ab")
	{
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='a')
			{
				counter_a++;
				if(pom_a==-1) pom_a=i;
			}
			else if(a[i]=='b' && pom_a!=-1)
			{
				counter_b++;
			}
		}	
		if(counter_a>counter_b)
		{
			rez=counter_b;
			for(int i=0;i<a.length();i++)
			{
				if(i>=pom_a && a[i]=='b') a[i]='*';
			}
		}	
		else
		{
			rez=counter_a;
			for(int i=0;i<a.length();i++)
			{
				if(a[i]=='a') a[i]='*';
			}
		}
	}
	else
	{
		for(int i=0;i<a.length();i++)
		{
			if(a[i]=='a' && pom!=b.length()-1) 
			{
				pom++;
			}
			else if(a[i]=='a') 
			{
				a[i]='*';
				rez++;
			}
		}
	}
	cout<<rez<<endl<<a;
	return 0;
}